Loading...
Searching...
No Matches
gtsam::PreintegratedRotationParams Struct Reference

## Detailed Description

Parameters for pre-integration: Usage: Create just a single Params and pass a shared pointer to the constructor.

Inheritance diagram for gtsam::PreintegratedRotationParams:

## Public Member Functions

| PreintegratedRotationParams (const Matrix3 &gyroscope_covariance, boost::optional< Vector3 > omega_coriolis)
virtual void | print (const std::string &s) const
virtual bool | equals (const PreintegratedRotationParams &other, double tol=1e-9) const
void | setGyroscopeCovariance (const Matrix3 &cov)
void | setOmegaCoriolis (const Vector3 &omega)
void | setBodyPSensor (const Pose3 &pose)
const Matrix3 & | getGyroscopeCovariance () const
boost::optional< Vector3 > | getOmegaCoriolis () const
boost::optional< Pose3 > | getBodyPSensor () const

## Public Attributes

Matrix3 | gyroscopeCovariance
| Continuous-time "Covariance" of gyroscope measurements The units for stddev are σ = rad/s/√Hz.
boost::optional< Vector3 > | omegaCoriolis
| Coriolis constant.
boost::optional< Pose3 > | body_P_sensor
| The pose of the sensor in the body frame.

## Friends

class | boost::serialization::access
| Serialization function.

The documentation for this struct was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/navigation/PreintegratedRotation.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/navigation/PreintegratedRotation.cpp